$(document).ready(function(){
  var newCatCounter = 1;
  var newBoardCounter = 1;


  // COLOR PICKER
  $('body').on('change', '.mb-color-box input[type="text"]', function() {
    $(this).closest('.mb-color-box').find('input[type="color"]').val($(this).val());
  });

  $('body').on('change', '.mb-color-box input[type="color"]', function() {
    $(this).closest('.mb-color-box').find('input[type="text"]').val($(this).val());
  });
  
  
  // WHEN PARENT BOARD IS CHANGED, CHANGE CATEGORY TO PARENTS ONE
  $('body').on('change', 'select[name^="board_parent_"]', function(e){
    $(this).closest('.mb-table-row').find('.mb-col-cat select').val(brdToCat[$(this).val()]);
  });



  // SHOW-HIDE FIELDS
  $('body').on('click', '.mb-frm-cat .mb-top-line', function(e){
    e.preventDefault();
    $(this).closest('.mb-frm-cat').toggleClass('opened');
    $(this).closest('.mb-frm-cat').find('.mb-frm-boards').fadeToggle(0);
    $(this).closest('.mb-frm-cat').find('.mb-top-line .show i').toggleClass('fa-angle-down fa-angle-up');
  });


  // REMOVE NEW CATEGORY
  $('body').on('click', '.new-category-remove', function(e) {
    e.preventDefault();
    $(this).closest('.mb-table-row').remove();
  });


  // REMOVE NEW BOARD
  $('body').on('click', '.new-board-remove', function(e) {
    e.preventDefault();
    $(this).closest('.mb-table-row').remove();
  });


  // ADD NEW CATEGORY
  $('body').on('click', '.mb-new-category', function(e) {
    e.preventDefault();
    var html = $('.mb-category-placeholder').html();

    $('.mb-table-category').append(html);
    $('.mb-table-category .mb-table-row:last-child input').each(function() {
      var inputName = $(this).attr('name');
      inputName = inputName + '-' + newCatCounter;

      $(this).attr('name', inputName);
    });

    newCatCounter++;
  });



  // ADD NEW BOARD
  $('body').on('click', '.mb-new-board', function(e) {
    e.preventDefault();
    var html = $('.mb-board-placeholder').html();

    $('.mb-table-board').append(html);
    $('.mb-table-board .mb-table-row:last-child input, .mb-table-board .mb-table-row:last-child select').each(function() {
      var inputName = $(this).attr('name');
      inputName = inputName + '-' + newBoardCounter;

      $(this).attr('name', inputName);
    });

    newBoardCounter++;
    $('input[name="max_new_id"]').val(newBoardCounter);
  });



  // USER LOOKUP SUPERUSER
  var name = $('.mb-user-lookup input[name="name"]');

  if(name.length) {
    name.prop('autocomplete', 'off');

    name.autocomplete({
      source: user_lookup_base,
      minLength: 0,
      select: function (event, ui) {
        if (ui.item.id == '') {
          return false;
        } else {
          $.getJSON(
            user_lookup_url + ui.item.id,
            {'s_username': name.val()},
            function(data){
              if(data.user.id != 0) {
                $('#name').val(data.user.name);
                $('#email').val(data.user.email);

                if(data.user.moderator == 1) {
                  $('input[type="checkbox"][name="moderator"]').prop('checked', true);
                  $('input[type="checkbox"][name="moderator"]').bootstrapSwitch('state', 1, true);

                } else {
                  $('input[type="checkbox"][name="moderator"]').prop('checked', false);
                  $('input[type="checkbox"][name="moderator"]').bootstrapSwitch('state', 0, true);

                }



                if(data.user.admin == 1) {
                  $('input[type="checkbox"][name="admin"]').prop('checked', true);
                  $('input[type="checkbox"][name="admin"]').bootstrapSwitch('state', 1, true);

                } else {
                  $('input[type="checkbox"][name="admin"]').prop('checked', false);
                  $('input[type="checkbox"][name="admin"]').bootstrapSwitch('state', 0, true);

                }



              } else {
                $('.mb-error-block').val(user_lookup_error);
              }
            }
          );
        }

        $('#id').val(ui.item.id);
      },
      search: function () {
        $('#id').val('');
      }
    });

    $('.ui-autocomplete').css('zIndex', 10000);
  }
 

  // HIDE MESSAGE
   $('body').on('click', '.mb-message-js', function(e){
     e.preventDefault();
     $('.mb-message-js > div').fadeOut(300, function() {
       $('.mb-message-js > div').remove();
     });
  });
   

  // CHANGE FILE INPUT NAME
  $('input[name="image"]').change(function() {
    if( $(this)[0].files[0]['name'] != '' ) {
      $('.mb-file .wrap > span').text( $(this)[0].files[0]['name'] );
    }
  });


  // CATEGORY MULTI SELECT
  $('body').on('change', '.mb-row-select-multiple select', function(e){
    $(this).closest('.mb-row-select-multiple').find('input[type="hidden"]').val($(this).val());
  });


  // ON LOCALE CHANGE RELOAD PAGE
  $('body').on('change', 'select.mb-select-locale', function(e){
    window.location.replace($(this).attr('rel') + "&frmLocale=" + $(this).val());
  });


  // HELP TOPICS
  $('#mb-help > .mb-inside > .mb-row.mb-help > div').each(function(){
    var cl = $(this).attr('class');
    $('label.' + cl + ' span').addClass('mb-has-tooltip').prop('title', $(this).text());
  });

  $('.mb-row label').click(function() {
    var cl = $(this).attr('class');
    
    if($('#mb-help > .mb-inside > .mb-row.mb-help > div.' + cl).length) {
      var pos = $('#mb-help > .mb-inside > .mb-row.mb-help > div.' + cl).offset().top - $('.navbar').outerHeight() - 12;
      $('html, body').animate({
        scrollTop: pos
      }, 1400, function(){
        $('#mb-help > .mb-inside > .mb-row.mb-help > div.' + cl).addClass('mb-help-highlight');
      });

      return false;
    }
  });


  // ON-CLICK ANY ELEMENT REMOVE HIGHLIGHT
  $('body, body *').click(function(){
    $('.mb-help-highlight').removeClass('mb-help-highlight');
  });


  // GENERATE TOOLTIPS
  Tipped.create('.mb-has-tooltip', { maxWidth: 200, radius: false, behavior: 'hide' });
  Tipped.create('.mb-has-tooltip-user', { maxWidth: 350, radius: false, size: 'medium', behavior: 'hide' });


  // CHECKBOX & RADIO SWITCH
  $.fn.bootstrapSwitch.defaults.size = 'small';
  $.fn.bootstrapSwitch.defaults.labelWidth = '0px';
  $.fn.bootstrapSwitch.defaults.handleWidth = '50px';

  $(".element-slide").bootstrapSwitch();



  // MARK ALL
  $('input.mb_mark_all').click(function(){
    if ($(this).is(':checked')) {
      $('input[name^="' + $(this).val() + '"]').prop( "checked", true );
    } else {
      $('input[name^="' + $(this).val() + '"]').prop( "checked", false );
    }
  });

});


var timeoutHandle;

function frm_message(html, type = '') {
  window.clearTimeout(timeoutHandle);

  $('.mb-message-js').fadeOut(0);
  $('.mb-message-js').attr('class', '').addClass('mb-message-js').addClass(type);
  $('.mb-message-js').fadeIn(200).html('<div>' + html + '</div>');

  var timeoutHandle = setTimeout(function(){
    $('.mb-message-js > div').fadeOut(300, function() {
      $('.mb-message-js > div').remove();
    });
  }, 10000);
}