$(document).ready(function() {

  // ANIMATE TO HIGHLIGHTED POST
  $(window).on('load', function () {
    if($('.frm-post.frm-post-highlight').length) {
      $('html,body').animate({ scrollTop: $('.frm-post.frm-post-highlight').offset().top - 10 }, 200);
    }
  });


  // ATTACHMENT UPLOAD - FILE NAME
  $('input[name="frmAttachment"], input[name="frmImage"]').change(function() {
    if( $(this)[0].files[0]['name'] != '' ) {
      $('.frm-attachment .frm-att-box .frm-status .frm-wrap span').text( $(this)[0].files[0]['name'] );
    }
  });


  // SHOW MAXIMUM IMAGE 
  $('body').on('click', '.frm-file-img', function(e) {
    e.preventDefault();

    if($(this).width() <= 150) {
      $(this).css('width', 'auto');
    } else {
      $(this).css('width', '150px');
    }
  });


  // INSERT QUOTE
  $('body').on('click', '.frm-quote', function(e) {
    e.preventDefault();

    var html_top = $(this).closest('.frm-post').find('.frm-left .frm-user').text() + ', ' + $(this).closest('.frm-post').find('.frm-posted .frm-post-date').text().toLowerCase(); 
    var html_bot = $(this).closest('.frm-post').find('.frm-message').text(); 

    html = '<div class="frm-block-quote"><div class="frm-top">' + html_top.replace(/\s\s+/g, ' ') + '</div><div>' + html_bot.trim() + '</div></div>';
    $('.richText-editor').prepend(html);
    
    $('html,body').animate({ scrollTop: $('.frm-answer').offset().top - 10 }, 100);
  });



  // EDIT POST
  $('body').on('click', '.frm-edit', function(e) {
    e.preventDefault();

    $('.frm-answer .frm-pst').hide(0);
    $('.frm-answer .frm-edt').show(0);
    $('.frm-answer .frm-edt-cancel').show(0);

    $('.richText-editor').html('<div>' + $(this).closest('.frm-post').find('.frm-message').html() + '</div>');
    $('.frm-answer form input[name="postId"]').val($(this).closest('.frm-post').attr('data-id'));
    $('html,body').animate({ scrollTop: $('.frm-answer').offset().top - 10 }, 100);
  });



  // CANCEL EDIT
  $('body').on('click', '.frm-edt-cancel', function(e) {
    e.preventDefault();

    $('.frm-answer .frm-pst').show(0);
    $('.frm-answer .frm-edt').hide(0);
    $('.frm-answer .frm-edt-cancel').hide(0);

    $('.frm-answer form input[name="postId"]').val('');
    $('.richText-editor').html('');
  });


  // CREATE TOOLTIPS
  Tipped.create('.frm-has-tooltip', { maxWidth: 200, radius: false, behavior: 'hide'});
  Tipped.create('.frm-has-tooltip-left', { maxWidth: 200, radius: false, behavior: 'hide', position: 'topleft'});
  Tipped.create('.frm-has-tooltip-right', { maxWidth: 200, radius: false, behavior: 'hide', position: 'topright'});

});