<?php
  if(!isset($user) || !isset($user['pk_i_id']) || @$user['pk_i_id'] <= 0) {
    $user = ModelFRM::newInstance()->getUser($post['fk_i_user_id']);
  }

  $user_img = frm_user_img($user);
  $page_id = (Params::getParam('pageId') <= 0 ? 1 : Params::getParam('pageId'));
  $post_id = Params::getParam('postId');

  //if(osc_is_web_user_logged_in()) {
  //  $logged = ModelFRM::newInstance()->getUser(osc_logged_user_id());
  //} else {
  //  $logged = false;
  //}
  
  $attachment_dir = osc_content_path() . 'uploads/forums/attachment/';
  $attachment_url = osc_base_url() . 'oc-content/uploads/forums/attachment/';
  
  $user['i_num_posts'] = (isset($user['i_num_posts']) ? $user['i_num_posts'] : 0);
?>

<div class="frm-post<?php if($type <> '') { ?> frm-<?php echo $type; ?><?php } ?><?php if($post_id == $post['pk_i_id']) { ?> frm-post-highlight<?php } ?>" data-id="<?php echo $post['pk_i_id']; ?>">
  <div class="frm-left">
    <a class="frm-user" href="<?php echo frm_user_url($user); ?>"><?php echo frm_user_name($user); ?></a>

    <?php if(isset($user['s_title']) && $user['s_title'] <> '') { ?>
      <div class="frm-own"><?php echo $user['s_title']; ?></div>
    <?php } ?>

    <div class="frm-level"><?php echo frm_user_rank_circle($user); ?></div>
    <div class="frm-img"><img src="<?php echo frm_user_img($user); ?>"/></div>
    <div class="frm-rank"><span style="background-color:<?php echo frm_user_rank($user, 'color'); ?>;"><?php echo frm_user_rank($user); ?></span></div>
    <div class="frm-stats"><?php echo $user['i_num_posts'] . ' ' . ($user['i_num_posts'] == 1 ? __('post', 'forums') : __('posts', 'forums')); ?></div>

    <?php if(isset($user['s_motto']) && $user['s_motto'] <> '') { ?>
      <div class="frm-motto">"<?php echo $user['s_motto']; ?>"</div>
    <?php } ?>
  </div>

  <div class="frm-right">
    <?php if($type == 'user' || $type == 'search' || $type == 'activity') { ?>
      <div class="frm-parent">
        <a href="<?php echo frm_topic_url($topic); ?>"><?php echo $topic['s_title']; ?></a>
      </div>
    <?php } ?>

    <div class="frm-posted" <?php if($type == 'user' || $type == 'search' || $type == 'activity') { ?>style="display:block!important;"<?php } ?>>
      <?php if($type == 'best' || $topic['fk_i_answer_post_id'] == $post['pk_i_id']) { ?>
        <strong class="frm-best-post"><?php _e('Marked as best answer!', 'forums'); ?></strong>
      <?php } ?>

      <span class="frm-post-date">
        <?php if($type == 'user' || $type == 'search' || $type == 'activity') { ?>
          <a href="<?php echo frm_board_url($board); ?>"><?php echo frm_name($board); ?></a>, 
        <?php } ?>

        <?php echo sprintf(__('Posted on %s', 'forums'), date('j. M Y', strtotime($post['dt_created']))); ?>
      </span>

      <?php if($post['fk_i_modified_by'] <> '') { ?>
        <?php $mod_user = ModelFRM::newInstance()->getUser($post['fk_i_modified_by']); ?>
        <?php echo ', ' . sprintf(__('modified by %s on %s', 'forums'), '<a href="' . frm_user_url($mod_user) . '">' . frm_user_name($mod_user) . '</a>', date('j. M Y', strtotime($post['dt_modified_date']))); ?>
      <?php } ?>
    </div>

    <div class="frm-tools" <?php if($type == 'user' || $type == 'search' || $type == 'activity') { ?>style="display:none!important;"<?php } ?>>
      <?php if((($counter > 1 && $page_id = 1) || $page_id <> 1) || $type == 'best') { ?>
        <?php if($logged && (frm_check_privilege($logged, $board) || $logged['pk_i_id'] == $topic['fk_i_user_id'])) { ?>
          <a href="<?php echo frm_post_manage_url($post['fk_i_topic_id'], $post['pk_i_id'], 'best'); ?>" class="frm-best frm-has-tooltip" title="<?php echo osc_esc_html($topic['fk_i_answer_post_id'] == $post['pk_i_id'] ? __('Unmark as best answer', 'forums') : __('Mark as best answer', 'forums')); ?>" ><i class="fa fa-thumbs-o-up"></i> <span><?php echo ($topic['fk_i_answer_post_id'] == $post['pk_i_id'] ? __('Unmark as best answer', 'forums') : __('Mark as best answer', 'forums')); ?></span></a>
        <?php } ?>
      <?php } ?>

      <?php if($type <> 'best' || 1==1) { ?>
        <a href="#" class="frm-quote frm-has-tooltip" title="<?php echo osc_esc_html(__('Quote text', 'forums')); ?>"><i class="fa fa-quote-right"></i> <span><?php _e('Quote', 'forums'); ?></span></a>
      <?php } ?>

      <?php if($type <> 'best' && $type <> 'user' && $type <> 'search' && $type <> 'activity' && ($logged && (frm_check_privilege($logged, $board) || @$logged['pk_i_id'] == $post['fk_i_user_id']))) { ?>
        <a href="#" class="frm-edit frm-has-tooltip" title="<?php echo osc_esc_html(__('Edit this post', 'forums')); ?>"><i class="fa fa-pencil"></i> <span><?php _e('Edit', 'forums'); ?></span></a>
      <?php } ?>

      <?php if((($counter > 1 && $page_id = 1) || $page_id <> 1)) { ?>
        <?php if($logged && (frm_check_privilege($logged, $board) || $logged['pk_i_id'] == $topic['fk_i_user_id'])) { ?>
          <a href="<?php echo frm_post_manage_url($post['fk_i_topic_id'], $post['pk_i_id'], 'remove'); ?>" class="frm-remove frm-has-tooltip" title="<?php echo osc_esc_html(__('Remove post', 'forums')); ?>" onclick="return confirm('<?php echo osc_esc_js(__('Are you sure you want to delete this post? This action cannot be undone', 'forums')); ?>?')"><i class="fa fa-trash-o"></i> <span><?php _e('Remove', 'forums'); ?></span></a>
        <?php } ?>
      <?php } ?>
    </div>


    <div class="frm-message<?php if(!($post['s_file'] <> '' && file_exists($attachment_dir . $post['s_file']))) { ?> frm-border<?php } ?>">
      <?php
        echo frm_clean_body($post['s_body']); 
      ?> 
    </div>

    <?php if($post['s_file'] <> '' && file_exists($attachment_dir . $post['s_file'])) { ?>
      <div class="frm-post-file">
        <?php $extension = strtolower(pathinfo($post['s_file'], PATHINFO_EXTENSION)); ?>
        <?php if(in_array($extension, array('png', 'jpg', 'gif', 'jpeg'))) { ?>
          <a href="<?php echo $attachment_url . $post['s_file']; ?>" target="_blank" class="frm-file-img frm-has-tooltip" title="<?php echo osc_esc_html(__('Click to enlarge image', 'forums')); ?>">
            <img src="<?php echo $attachment_url . $post['s_file']; ?>" />
          </a>
        <?php } else { ?>
          <a href="<?php echo $attachment_url . $post['s_file']; ?>" target="_blank" class="frm-file-data frm-has-tooltip" title="<?php echo osc_esc_html(__('Click to open file in new tab', 'forums')); ?>">
            <i class="fa fa-file-o"></i>
            <strong><?php _e('Download', 'forums'); ?></strong>
            <span><?php echo $post['s_file']; ?></span>
          </a>
        <?php } ?>
      </div>
    <?php } ?>

    <?php if(isset($user['s_signature']) && $user['s_signature'] <> '') { ?>
      <div class="frm-signature">
        <?php echo $user['s_signature']; ?>
      </div>
    <?php } ?>

    <?php if(isset($user['s_website']) && $user['s_website'] <> '' && filter_var($user['s_website'], FILTER_VALIDATE_URL)) { ?>
      <div class="frm-website"><a href="<?php echo $user['s_website']; ?>" rel="nofollow" target="_blank"><?php echo $user['s_website']; ?></a></div>
    <?php } ?>
  </div>
</div>